---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 7855981a-e7f4-5626-8b80-9ca6f03ed668
      tier: AATSR_CMP_MONTH
      value: 0.07376910001039505
    brdf:
      alpha_1:
        band_1: 0.45216515723784084
        band_11: 0.4772570532549781
        band_12: 0.28929106408551414
        band_2: 0.45216515723784084
        band_3: 0.7754954341801308
        band_4: 0.4407809574609729
        band_5: 0.4407809574609729
        band_6: 0.4407809574609729
        band_7: 0.9348955106798299
        band_8: 0.9348955106798299
        band_8a: 0.9348955106798299
      alpha_2:
        band_1: 0.1332642714294354
        band_11: 0.11717920280634132
        band_12: 0.18021567721867646
        band_2: 0.1332642714294354
        band_3: 0.0660219090183522
        band_4: 0.13599254562273264
        band_5: 0.13599254562273264
        band_6: 0.13599254562273264
        band_7: 0.024130302952620728
        band_8: 0.024130302952620728
        band_8a: 0.024130302952620728
      id:
      - 3139e42f-df7a-575f-8982-c03cc117d477
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 8d1a0236-36ea-52b5-ad07-386919ce9935
      tier: DEFINITIVE
      value: 0.329
    water_vapour:
      id:
      - 0c72d4cd-a9dc-56d6-a917-51bb543726a1
      tier: DEFINITIVE
      value: 2.1799999237060548
  id: 6658906e-3185-40c5-a54f-86c64b41fbd4
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1937.3607526216645
      BAND-11: 235.85452045757785
      BAND-12: 80.66642159799575
      BAND-2: 1980.2767389747687
      BAND-3: 1854.2426960366774
      BAND-4: 1513.9891920136884
      BAND-5: 1397.606539937404
      BAND-6: 1275.3203529937382
      BAND-7: 1167.4837080386826
      BAND-8: 1034.0052508214444
      BAND-8A: 942.9315786378672
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2017-09-21 02:10:44.243000Z
    atime: 2022-08-25 00:23:21Z
    ctime: 2018-05-11 00:56:47Z
    mtime: 2017-10-22 14:07:37Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2017/2017-09/30S115E-35S120E/S2A_MSIL1C_20170921T020751_N0205_R017_T50HNJ_20170921T021044.zip
  system_information:
    hostname: gadi-cpu-clx-0216.gadi.nci.org.au
    runtime_id: 204c8cc4-240c-11ed-818e-0000007bfe80
    time_processed: 2022-08-25 00:23:21.825962Z
    uname: 'Linux gadi-cpu-clx-0216.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 51.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 18
  granule: S2A_OPER_MSI_L1C_TL_SGS__20170921T052003_A011740_T50HNJ_N02.05
  ref_date: '2013-10-22T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/112/082/LC81120822013295LGN00_B6.TIF
  residual:
    abs:
      x: 67.07
      xy: 70.1
      y: 20.41
    abs_iterative_mean:
      x: 65.84
      xy: 68.65
      y: 19.45
    cep90: 71.66
    iterative_mean:
      x: 65.84
      xy: 68.65
      y: 19.45
    iterative_stddev:
      x: 2.18
      xy: 3.13
      y: 2.25
    mean:
      x: 67.07
      xy: 70.1
      y: 20.41
    stddev:
      x: 4.13
      xy: 5.7
      y: 3.93
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 39.28674423774307
    cloud: 50.075414481040205
    cloud_shadow: 3.237381428727841
    snow: 7.268728371836855
    water: 0.13173148065202173
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 15.575203798262116
    cloud: 84.42479620173788
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
